import o from "react";
function c(n) {
  var d = n.cellRender, r = n.monthCellRender, t = n.dateRender, u = o.useMemo(function() {
    if (d)
      return d;
    if (!(!r && !t))
      return function(a, e) {
        var l = a;
        return t && e.type === "date" ? t(l, e.today) : r && e.type === "month" ? r(l, e.locale) : e.originNode;
      };
  }, [d, r, t]);
  return u;
}
export {
  c as useCellRender
};
